<template>
    <el-collapse v-model="activeName" accordion style="height:100%" class="ziyuanbox">
        <el-collapse-item title="土地调查展示" name="1">
            <div class="radiogroupdiv">
                <el-radio-group v-model="radio">
                    <el-radio :label="3">地质调查</el-radio>
                    <el-radio :label="6">国土调查</el-radio>
                    <el-radio :label="9">耕地资源</el-radio>
                </el-radio-group>
            </div>
            <div id="barECharts" style="width:380px;height:200px;"></div>
        </el-collapse-item>
        <el-collapse-item title="水资源调查展示" name="1">
            <div id="pieECharts" style="width:380px;height:200px;"></div>
        </el-collapse-item>
        <el-collapse-item title="地下空间调查展示" name="1">
            <div class="radiogroupdiv">
                <el-radio-group v-model="radio2">
                    <el-radio :label="1">开发空间</el-radio>
                    <el-radio :label="2">能源资源</el-radio>
                </el-radio-group>
            </div>
            <div id="pieECharts2" style="width:380px;height:200px;"></div>
        </el-collapse-item>
    </el-collapse>
</template>
<script>
export default {
    data() {
        return {
            activeName: "1",
            radio: 3, radio2: 1,
            barOption: {
                xAxis: {
                    type: 'category', axisLabel: {
                        show: true,
                        color: '#ffffff'
                    },
                    data: []
                },
                //y轴可填数值等
                yAxis: {
                    axisLabel: {
                        show: true,
                        color: '#ffffff'
                    }, type: 'value'
                },
                series: [{ type: 'bar', data: [] }]
            },
            pieOption: {
                legend: {
                    orient: 'vertical',
                    left: '10px',
                    top: "center",
                    textStyle: {
                        color: '#ffffff'//字体颜色
                    },

                },
                series: [
                    {
                        label: { show: false },
                        type: 'pie',
                        radius: ['5%', '80%'],
                        center: ['70%', '50%'],
                        roseType: 'area',
                        itemStyle: { borderRadius: 8 },
                        data: []
                    }
                ]
            }
        }
    },
    methods: {
        initialBarECharts() {
            let myChart = this.$echarts.init(document.getElementById('barECharts'));
            this.barOption.xAxis.data = ['城市', '农村', '森林', '草原', '山地', '湿地', '冰川'];
            this.barOption.series[0].data = [5, 20, 36, 10, 10, 20, 24];
            myChart.setOption(this.barOption);
        },

        initialPieECharts() {
            let myChart = this.$echarts.init(document.getElementById('pieECharts'));
            this.pieOption.series[0].data = [
                { value: 40, name: '树枝状水系 26.9%' },
                { value: 38, name: '扇形水系 24%' },
                { value: 32, name: '羽状水系 21.2%' },
                { value: 30, name: '平行状水系 19.5%' },
                { value: 28, name: '格子状水系 8.3%' }];
            myChart.setOption(this.pieOption);
        },

        initialPieECharts2() {
            let myChart = this.$echarts.init(document.getElementById('pieECharts2'));
            let option = {
                tooltip: { trigger: 'item' },
                legend: {
                    orient: 'vertical',
                    left: '10px',
                    top: "center",
                    textStyle: {
                        color: '#ffffff'//字体颜色
                    },
                },
                series: [
                    {
                        type: 'pie',
                        radius: ['40%', '70%'],
                        avoidLabelOverlap: false,
                        label: {
                            show: false,
                            position: 'center'
                        },
                        emphasis: {
                            label: {
                                show: true,
                                fontWeight: 'bold'
                            }
                        },
                        labelLine: { show: false },
                        data: [
                            { value: 1048, name: '地下场所' },
                            { value: 735, name: '地下铁道' },
                            { value: 580, name: '地下隧道' },
                            { value: 484, name: '地下防空' }
                        ]
                    }
                ]
            };
            myChart.setOption(option);
        }
    }, mounted() {
        this.initialBarECharts();
        this.initialPieECharts();
        this.initialPieECharts2();
    }
}
</script>
<style lang="less" scoped>
.ziyuanbox {

    .radiogroupdiv {
        width: 100%;
        text-align: center;
        color: white;

        padding: 5px;

        /deep/ .el-radio {
            color: white
        }
    }
}
</style>